package com.maternalmall.repository;

import com.maternalmall.domain.OrderStatus;
import com.maternalmall.domain.Orders;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface OrdersRepository extends JpaRepository<Orders, Long> {
    List<Orders> findByCustomerId(Long customerId);
    List<Orders> findByMerchantId(Long merchantId);
    List<Orders> findByStatus(OrderStatus status);
}
